@font-face {
    font-family: riicookie;
    src: url(../assets/fonts/RiiCookieL.otf);
}
@font-face {
  font-family: koyo;
  src: url("/assets/fonts/koyomiyuru.otf");
}
@font-face {
  font-family: onryou;
  src: url(/assets/fonts/onryou.TTF);
}

body {
    min-height: 1500px;
    font-family:  koyo;
    background-image: url("/assets/wooden-board-texture-1.jpg");
    color: rgb(255, 252, 236, 0.85);;
    font-weight: lighter;
}

:root {
  --main-line-color: hsl(0, 0%, 87%);
  --side-line-color: hsl(350, 100%, 91%);
  --paper-color: hsl(47, 100%, 98%);
  --line-thickness: 1px;
  --top-space: 3lh;
  --dot-color: hsl(0, 0%, 87%);
  --dot-size: 3px;
  --dot-space: 1lh;
  --dot-bg: hsl(47, 100%, 98%);;
}

.paper {
  width: 700px;
  height: 800px;
  margin: auto;
  margin-top: 50px;
  background: var(--paper-color);
  padding: 1.4lh;
  font-size: 1.5rem;
  line-height: 1.5;
  background: 
      linear-gradient(
        var(--paper-color),
        var(--paper-color) var(--top-space),
        transparent var(--top-space)
      ),
      repeating-linear-gradient(
        transparent,
        transparent calc(1lh - var(--line-thickness)),
        var(--main-line-color) calc(1lh - var(--line-thickness)),
        var(--main-line-color) 1lh,
        transparent 1lh
      ),
      linear-gradient(90deg , var(--dot-bg) calc(var(--dot-space) - var(--dot-size)), transparent 1%) center / var(--dot-space) var(--dot-space),
		  linear-gradient(var(--dot-bg) calc(var(--dot-space) - var(--dot-size)), transparent 1%) center / var(--dot-space) var(--dot-space),
	  	var(--dot-color);
}

h2 {
  font-family: onryou;
  color: rgba(164, 103, 68);
}

h1 {
  font-family: onryou;
  color: rgba(164, 103, 68);
}

h3 {
  font-size: x-large;
  font-weight: lighter;
  text-align: center;
}

 a:link {color: rgba(102, 112, 255, 0.85)} 
 a:hover {color: rgba(255, 240, 154, 0.85)}

.jpn {
  display: none;
}

.eng {
  display: block;
}

.panel {
  position: relative;
  overflow: hidden;
  margin-top: 40px;
  margin-left: 10%;
  margin-right: 10%;
}

.note {
  color: #333;
  position: relative;
  width: 300px;
  height: 300px;
  margin: 0 auto;
  padding: 20px;
  margin-bottom: 20px;
  font-size: 30px;
  box-shadow: 0 10px 10px 2px rgba(0,0,0,0.3);
  background: #eae672;
}

.panel h1 {
    text-align: center;
}

.panel p {
  margin-left: 20px;
  margin-right: 20px;
  font-size: 22px;
  font-weight: 10;
}

.buttonarea {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.buttonarea img {
  width: 200px;
  margin-left: 15%;
  margin-right: 15%;
}

#eng_label {
  color: rgba(255, 240, 154, 0.85);;
}

@keyframes slideOutLeft {
    from { 
        transform: translateX(0);
        opacity: 1;
        visibility: visible;
        position: static;
        display: block;
    }
    to {
        transform: translateX(-100%);
        opacity: 0;
        visibility: none;
        display: none;
    }
}

.slideOutLeft {
    animation: slideOutLeft .5s ease-in forwards; 
} 

@keyframes slideInRight {
    from {
        transform: translateX(100%);
        opacity: 0; 
        visibility: visible;
        position: static;
        display: block;
    }
    to {
        transform: translateX(0);
        opacity: 1;
        visibility: visible;
        position: static;
        display: block;
    }
}

.slideInRight {
    animation: slideInRight .5s ease-out; /* remove infinite */
    animation-fill-mode: forwards;
    animation-delay: .5s;
}

@keyframes slideOutRight {
    from {
        transform: translateX(0);
        opacity: 1;
        visibility: visible;
        position: static;
        display: block;
    }
    to {
        transform: translateX(100%);
        opacity: 0;
        visibility: none;
        display: none;
    }
}

.slideOutRight {
    animation: slideOutRight .5s ease-in forwards;
}

@keyframes slideInLeft {
    from {
        transform: translateX(-100%);
        opacity: 0;
        visibility: visible;
        position: static;
        display: block;
    }
    to {
        transform: translateX(0);
        opacity: 1;
        visibility: visible;
        position: static;
        display: block;
    }
}

.slideInLeft {
    animation: slideInLeft .5s ease-out;
    animation-delay: .5s; 
    animation-fill-mode: forwards;
}